<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Ticket </strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="searchForm" #f="ngForm" (submit)="saveUser(f)" autocomplete="off" class="form-horizontal">
          <span *ngIf="showLoader">
            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
          </span>
          <div class="form-group">
            <label class="col-sm-2 control-label">Zendesk Id
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input formControlName="zendesk_id" class="form-control">
              <div class="error-msg"
                *ngIf="searchForm.controls['zendesk_id'].invalid && (searchForm.controls['zendesk_id'].dirty || searchForm.controls['zendesk_id'].touched || f.submitted)">
                <div *ngIf="searchForm.controls['zendesk_id'].errors.required">
                  Zendesk Id is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Unique Order Id
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input formControlName="unique_order_id" class="form-control" />
              <div class="error-msg"
                *ngIf="searchForm.controls['unique_order_id'].invalid && (searchForm.controls['unique_order_id'].dirty || searchForm.controls['unique_order_id'].touched || f.submitted)">
                <div *ngIf="searchForm.controls['unique_order_id'].errors.required">
                  Unique Order Id is required.
                </div>
              </div>
            </div>
          </div>

          <ng-container *ngIf="orderSearch">

            <div class="form-group">
              <div class="col-sm-2"></div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Customer Name
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <input formControlName="firstname" class="form-control" />
                  <div class="error-msg"
                    *ngIf="searchForm.controls['firstname'].invalid && (searchForm.controls['firstname'].dirty || searchForm.controls['firstname'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['firstname'].errors.required">
                      Customer Name is required.
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-5">
                <div class="form-group">
                  <label class="col-sm-3 control-label">Email
                    <i aria-hidden="true" class="mandatory">*</i>
                  </label>
                  <div class="col-sm-9 form-input">
                    <input formControlName="email" class="form-control" />
                    <div class="error-msg"
                      *ngIf="searchForm.controls['email'].invalid && (searchForm.controls['email'].dirty || searchForm.controls['email'].touched || f.submitted)">
                      <div *ngIf="searchForm.controls['email'].errors.required">
                        Email is required.
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group">
              <div class="col-sm-2"></div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Phone Number
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <input formControlName="phone_number" class="form-control" />
                  <div class="error-msg"
                    *ngIf="searchForm.controls['phone_number'].invalid && (searchForm.controls['phone_number'].dirty || searchForm.controls['phone_number'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['phone_number'].errors.required">
                      Phone number is required.
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Zendesk Tags
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <mat-chip-list #chipList1>
                    <mat-chip *ngFor="let tag of tagData" style="font-size:10px;">
                      {{tag}}
                    </mat-chip>
                  </mat-chip-list>
                </div>
              </div>
            </div>

            <div class="form-group">
              <div class="col-sm-2"></div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Order Status
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <input formControlName="order_status" class="form-control" />
                  <div class="error-msg"
                    *ngIf="searchForm.controls['order_status'].invalid && (searchForm.controls['order_status'].dirty || searchForm.controls['order_status'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['order_status'].errors.required">
                      Order Status is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Driver Name
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <input formControlName="driver_name" class="form-control" />
                  <div class="error-msg"
                    *ngIf="searchForm.controls['driver_name'].invalid && (searchForm.controls['driver_name'].dirty || searchForm.controls['driver_name'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['driver_name'].errors.required">
                      Driver Name is required.
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group">
              <div class="col-sm-2"></div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Complaint
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <textarea formControlName="description" class="form-control"></textarea>
                  <div class="error-msg"
                    *ngIf="searchForm.controls['description'].invalid && (searchForm.controls['description'].dirty || searchForm.controls['description'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['description'].errors.required">
                      Complaint is required.
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Driver Id
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <input formControlName="driver_id" class="form-control" />
                  <div class="error-msg"
                    *ngIf="searchForm.controls['driver_id'].invalid && (searchForm.controls['driver_id'].dirty || searchForm.controls['driver_id'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['driver_id'].errors.required">
                      Driver id is required.
                    </div>
                  </div>
                </div>
              </div>

            </div>

            <div class="form-group">
              <div class="col-sm-2"></div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Created At
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <input formControlName="created_at" class="form-control" />
                  <div class="error-msg"
                    *ngIf="searchForm.controls['created_at'].invalid && (searchForm.controls['created_at'].dirty || searchForm.controls['created_at'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['created_at'].errors.required">
                      Created At Time is required.
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-5">
                <label class="col-sm-3 control-label">Updated At
                  <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-9 form-input">
                  <input formControlName="created_at" class="form-control" />
                  <div class="error-msg"
                    *ngIf="searchForm.controls['updated_at'].invalid && (searchForm.controls['updated_at'].dirty || searchForm.controls['updated_at'].touched || f.submitted)">
                    <div *ngIf="searchForm.controls['updated_at'].errors.required">
                      Updated At Time is required.
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group">
              <label class="col-sm-2 control-label">Issue as identified by support team
                <i aria-hidden="true" class="mandatory">*</i>
              </label>
              <div class="col-sm-10 form-input">
                <textarea formControlName="issue_identified" class="form-control"></textarea>
                <div class="error-msg"
                  *ngIf="searchForm.controls['issue_identified'].invalid && (searchForm.controls['issue_identified'].dirty || searchForm.controls['issue_identified'].touched || f.submitted)">
                  <div *ngIf="searchForm.controls['issue_identified'].errors.required">
                    Identified issue is required.
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group">
              <label class="col-sm-2 control-label">Operations response
                <i aria-hidden="true" class="mandatory">*</i>
              </label>
              <div class="col-sm-10 form-input">
                <textarea formControlName="operations_response" class="form-control"></textarea>
                <div class="error-msg"
                  *ngIf="searchForm.controls['operations_response'].invalid && (searchForm.controls['operations_response'].dirty || searchForm.controls['operations_response'].touched || f.submitted)">
                  <div *ngIf="searchForm.controls['operations_response'].errors.required">
                    Operations response is required.
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group">
              <label class="col-sm-2 control-label">Action for IT as per operations response
                <i aria-hidden="true" class="mandatory">*</i>
              </label>
              <div class="col-sm-10 form-input">
                <textarea formControlName="action_for_oper_resp" class="form-control"></textarea>
                <div class="error-msg"
                  *ngIf="searchForm.controls['action_for_oper_resp'].invalid && (searchForm.controls['action_for_oper_resp'].dirty || searchForm.controls['action_for_oper_resp'].touched || f.submitted)">
                  <div *ngIf="searchForm.controls['action_for_oper_resp'].errors.required">
                    Action for IT as per operations response is required.
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group">
              <label class="col-sm-2 control-label">Feedback from customer post response
                <i aria-hidden="true" class="mandatory">*</i>
              </label>
              <div class="col-sm-10 form-input">
                <textarea formControlName="customer_feedback" class="form-control"></textarea>
                <div class="error-msg"
                  *ngIf="searchForm.controls['customer_feedback'].invalid && (searchForm.controls['customer_feedback'].dirty || searchForm.controls['customer_feedback'].touched || f.submitted)">
                  <div *ngIf="searchForm.controls['customer_feedback'].errors.required">
                    Feedback from customer post response is required.
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group">
              <label class="col-sm-2 control-label">Action taken post customer feedback
                <i aria-hidden="true" class="mandatory">*</i>
              </label>
              <div class="col-sm-10 form-input">
                <textarea formControlName="action_taked" class="form-control"></textarea>
                <div class="error-msg"
                  *ngIf="searchForm.controls['action_taked'].invalid && (searchForm.controls['action_taked'].dirty || searchForm.controls['action_taked'].touched || f.submitted)">
                  <div *ngIf="searchForm.controls['action_taked'].errors.required">
                    Action taken post customer feedback.
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group">
              <div class="col-sm-4 col-sm-offset-2">
                <button class="btn btn-primary" type="submit">Save</button>
                <button class="btn btn-white" type="button"
                  [routerLink]="['/admin/administration/ticket']">Cancel</button>
              </div>
            </div>
          </ng-container>
        </form>
      </div>
    </div>
  </div>
</div>